//
// Project UnReality: The First Nintendo 64 Emulator
// Copyright (C) 1997-1998, Cold Fusion Entertainment
// All rights reserved
//
// This source code is unpublished propietary information of Cold Fusion Entertainment.  No portion of this software
// may be disclosed to any third party or copied or duplicated in any form, in whole or in part, without the prior
// written consent of Cold Fusion Entertainment.
// 

//
// $Log: COD_MAP.H $
// Revision 1.1  1998/03/22 17:45:54  BREAKPOINT
// Initial revision
//

//---------------------------------------------------------------------------------------------------------------------

#ifndef CODMAP_H
#define CODMAP_H

#include <types.h>

struct CODMAPNode
{
    struct CODMAPNode *prev;
    struct CODMAPNode *next;

    ulong PC;
    char *symbol;
};

extern CODMAPNode *FirstCODMAPNode;
extern CODMAPNode *LastCODMAPNode;

CODMAPNode *AddCODMAPNode(void);
CODMAPNode *FindCODMAPNode(ulong PC);
void RemoveCODMAPNode(CODMAPNode *cm);

void LoadCOD_MAP(char *fname);
void FreeCOD_MAP(void);

#endif
